All Resources All filters

# AutoLookupDirectory

A directory resource that will allow you to fetch non-existing files from CVS. it is a subclass of PutableDirectory. If a resource is not present, it will try to get it from cvs, if it does not exist, it will act like a normal PutableDirectory.

## Inherits

The AutoLookupDirectory class inherits from the following classes:

- PutableDirectory

## Attributes description

The AutoLookupDirectory defines the following attributes:

- autoupdate

`autoupdate`

semantics
  Should the entries be always refreshed when requested? Note that if set to true, it will consume time and the performance of the server will collapse.
type
  This attribute is a editable BooleanAttribute.
default value
  This attribute defaults to false.

Yves Lafon
$Id: w3c.jigsaw.cvs.AutoLookupDirectory.html,v 1.2 1996/12/09 03:17:38 jigsaw Exp $